tbb::simple_partitioner::partition_type Class Reference
Inheritance diagram for tbb::simple_partitioner::partition_type:
Collaboration diagram for tbb::simple_partitioner::partition_type:

## Public Member Functions

bool | should_execute_range (const task &)
| partition_type (const simple_partitioner &)
| partition_type (const partition_type &, split)
Public Member Functions inherited from tbb::internal::partition_type_base
void | set_affinity (task &)
void | note_affinity (task::affinity_id)
task * | continue_after_execute_range ()
bool | decide_whether_to_delay ()
void | spawn_or_delay (bool, task &b)

## Detailed Description

Definition at line 596 of file partitioner.h.

## Constructor & Destructor Documentation

## partition_type() [1/2]

tbb::simple_partitioner::partition_type::partition_type | ( | const simple_partitioner & |  | ) |

inline

Definition at line 599 of file partitioner.h.

{}

## partition_type() [2/2]

tbb::simple_partitioner::partition_type::partition_type | ( | const partition_type & | ,
|  | split |
| ) |  |

inline

Definition at line 600 of file partitioner.h.

{}

## Member Function Documentation

## should_execute_range()

bool tbb::simple_partitioner::partition_type::should_execute_range | ( | const task & |  | ) |

inline

Definition at line 598 of file partitioner.h.

{return false;}

The documentation for this class was generated from the following file:

- partitioner.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.